# ReaderWriterSTL.cpp File Reference

`#include <osg/Notify>`
`#include <osg/Endian>`
`#include <osgDB/Registry>`
`#include <osgDB/ReadFile>`
`#include <osgDB/FileNameUtils>`
`#include <osgDB/FileUtils>`
`#include <osg/Geode>`
`#include <osg/Geometry>`
`#include <stdio.h>`
`#include <sys/types.h>`
`#include <sys/stat.h>`

Include dependency graph for ReaderWriterSTL.cpp:

## Variables

osgDB::RegisterReaderWriterProxy< ReaderWriterSTL > | g_readerWriter_STL_Proxy
const unsigned int | sizeof_StlHeader = 84
const unsigned int | sizeof_StlFacet = 50
const unsigned short | StlHasColor = 0x8000
const unsigned short | StlColorSize = 0x1f
const float | StlColorDepth = float(StlColorSize)

## Variable Documentation

osgDB::RegisterReaderWriterProxy<ReaderWriterSTL> g_readerWriter_STL_Proxy

const unsigned int sizeof_StlFacet = 50

const unsigned int sizeof_StlHeader = 84

const float StlColorDepth = float(StlColorSize)

const unsigned short StlColorSize = 0x1f

const unsigned short StlHasColor = 0x8000